=== debian/changelog ===
effcee (2019.1-1) unstable; urgency=medium

  * Initial release (Closes: #909156)

 -- Yangfl <mmyangfl@gmail.com>  Sun, 05 Jul 2020 01:06:50 +0800
