=== debian/control ===
Source: effcee
Section: libs
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 cmake (>= 3.1),
 python3,
 pkg-config,
 libre2-dev,
 libgtest-dev,
 libgmock-dev,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/google/effcee
Vcs-Git: https://salsa.debian.org/yangfl-guest/effcee.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/effcee

Package: libeffcee-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libeffcee0 (= ${binary:Version}), libre2-dev, ${misc:Depends}
Description: C++ library for stateful pattern matching of strings (development files)
 Effcee is a C++ library for stateful pattern matching of strings, inspired by
 LLVM's FileCheck command. Effcee can be used for quickly running tests in your
 own process. It is largely compatible with FileCheck, so tests and
 test-writing skills are transferable.
 .
 This package contains the header files and static object.

Package: libeffcee0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ library for stateful pattern matching of strings
 Effcee is a C++ library for stateful pattern matching of strings, inspired by
 LLVM's FileCheck command. Effcee can be used for quickly running tests in your
 own process. It is largely compatible with FileCheck, so tests and
 test-writing skills are transferable.
