=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%effcee-$1.tar.gz%" \
   https://github.com/google/effcee/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
